Name:     squidblocker
Version:  0.1.8
Release:  1%{?dist}
Summary:  The Squid blocker server and client
Epoch:    7
# See CREDITS for breakdown of non GPLv2+ code
License:  3 Clause BSD
Group:    System Environment/Daemons
URL:      http://www.ngtech.co.il/squidblocker
Source0:  sbserver.service
Source1:  sblocker_client
Source2:  sblocker_server
Source3:  sblocker_hammer
Source4:  sblocker_http_hub
Source5:  sbhub.service
Source6:  index.html
Source7:  sb_www.tar.xz
#Source3:  http://www.ngtech.co.il/squidblocker/v-%{version}.tar.xz
#Source4:  http://www.ngtech.co.il/squidblocker/v-%{version}.tar.xz.asc


Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(preun):  systemd
Requires(postun): systemd
Requires:       systemd-units
# Required to allow debug package auto creation
BuildRequires: redhat-rpm-config
BuildRequires:  systemd-units

# Required to validate auto requires AutoReqProv: no
## aaaAutoReqProv: no


%description
Squid Blocker contains three binaries.

## Preperation for another package
#%package squidblocker-testers
#Group: System Environment/Daemons
#Summary: Testing scripts for the DB

#%description squidblocker-testers
#Squid Blocker testing scripts.


%prep
#%setup -q

#%build
#was added due to new squid features that will be added soon

#%install

mkdir -p ${RPM_BUILD_ROOT}%{_unitdir}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p $RPM_BUILD_ROOT/var/www/squidblocker/
tar xvf %{SOURCE7} -C $RPM_BUILD_ROOT/var/www/
install -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}%{_unitdir}
install -m 644 %{SOURCE5} ${RPM_BUILD_ROOT}%{_unitdir}
install -m 644 %{SOURCE6} $RPM_BUILD_ROOT/var/www/squidblocker/index.html
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/sblocker_client
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/sblocker_hammer
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_sbindir}/sblocker_http_hub
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sbindir}/sblocker_server

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%attr(755,root,root) %{_sbindir}/sblocker_server
%attr(755,root,root) %{_sbindir}/sblocker_http_hub
%attr(755,root,root) %{_bindir}/sblocker_client
%attr(755,root,root) %{_bindir}/sblocker_hammer
%attr(755,root,root) %dir /var/www/squidblocker/
%attr(644,apache,apache) /var/www/squidblocker/.htaccess
%attr(644,apache,apache) /var/www/squidblocker/del.html
%attr(644,apache,apache) /var/www/squidblocker/form1.html
%attr(644,apache,apache) /var/www/squidblocker/form2.html
%attr(644,apache,apache) /var/www/squidblocker/meraki.html
%attr(644,apache,apache) /var/www/squidblocker/sb_tcp.html
%attr(644,apache,apache) /var/www/squidblocker/sb_tcp01.html
%attr(644,apache,apache) /var/www/squidblocker/sb_url.html
%attr(644,apache,apache) /var/www/squidblocker/sb_url01.html
%attr(644,apache,apache) /var/www/squidblocker/set.html
%attr(644,apache,apache) /var/www/squidblocker/vars.php
%attr(644,apache,apache) /var/www/squidblocker/md.css
%attr(644,apache,apache) /var/www/squidblocker/v5.html


/var/www/squidblocker/index.html
%{_unitdir}/sbserver.service
%{_unitdir}/sbhub.service

## examples
#%attr(4755,root,root) %{_libdir}/squid/pinger
#%doc COPYING README CREDITS ChangeLog QUICKSTART src/squid.conf.documented
#%attr(755,root,root) %dir %{_sysconfdir}/squid

## this is a preperation for a new addtion package
#%files helpers
#%{_libdir}/squid/basic_db_auth


%post
%systemd_post sbserver.service
%systemd_post sbhub.service


%preun
%systemd_preun sbserver.service
%systemd_preun sbhub.service

%postun
%systemd_postun_with_restart sbserver.service
%systemd_postun_with_restart sbhub.service

%changelog
* Sat Aug 08 2015 Eliezer Croitoru <eliezer@ngtech.co.il>
- Release 0.1.1. Stable.
